<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\Pracovisko\PocetKontrolPodlaStavu;

use Seka\Portal\Modul\Statistiky\Entities\Zaznam\Zaznam;
use Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\DataTableBuilderContract;
use Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\DataTableContract;

/**
 * Class PocetKontrolPodlaStavuDataTableBuilder
 *
 * @package Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\Pracovisko\PocetKontrolPodlaStavu
 */
final class PocetKontrolPodlaStavuDataTableBuilder implements DataTableBuilderContract
{
    /**
     * @param \Seka\Portal\Modul\Statistiky\Entities\Zaznam\Zaznam $model
     *
     * @return \Seka\Portal\Modul\Statistiky\Repositories\Eloquent\Transformers\Summary\DataTables\DataTableContract
     */
    public static function build(Zaznam $model): DataTableContract
    {
        $dataTable = new PocetKontrolPodlaStavuDataTable();

        foreach ($model->udaje->zoznamPoctuKontrolPodlaStavu() as $item) {
            $row = new PocetKontrolPodlaStavuDataTableRow($item->stav());
            $row->add($item);
            $dataTable->addRow($row);
        }

        return $dataTable;
    }
}
